[cmucl-commit] [git] CMU Common Lisp branch master updated. snapshot-2013-04-13-gc6075eb

Raymond Toy rtoy at common-lisp.net
Fri May 3 04:48:46 UTC 2013


This is an automated email from the git hooks/post-receive script. It was
generated because a ref change was pushed to the repository containing
the project "CMU Common Lisp".

The branch, master has been updated
       via  c6075ebc518f26e6e23ed7899110263f0b3544de (commit)
       via  032d311cc2ccce34ee8ba8d83495b22fae5fdc2e (commit)
       via  b07a82baedbf4ed761c593cbd185a97f3fed4e36 (commit)
       via  57bca19079022f99696307ac6f44d33de038275d (commit)
      from  497b9b2d466859117a71b7988dc0c6f6eaacb26b (commit)

Those revisions listed above that are new to this repository have
not appeared on any other notification email; so we list those
revisions in full, below.

- Log -----------------------------------------------------------------
commit c6075ebc518f26e6e23ed7899110263f0b3544de
Author: Raymond Toy <toy.raymond at gmail.com>
Date:   Thu May 2 21:46:02 2013 -0700

    Use clang instead of gcc on Mac OSX.

diff --git a/src/lisp/Config.x86_darwin b/src/lisp/Config.x86_darwin
index f50a857..e9ffbe5 100644
--- a/src/lisp/Config.x86_darwin
+++ b/src/lisp/Config.x86_darwin
@@ -2,6 +2,9 @@
 
 include Config.x86_common
 
+# Use clang on darwin.
+CC = clang
+
 # Compile code that will run on OSX 10.5 (Tiger)
 MIN_VER = -mmacosx-version-min=10.5
 

commit 032d311cc2ccce34ee8ba8d83495b22fae5fdc2e
Author: Raymond Toy <toy.raymond at gmail.com>
Date:   Thu May 2 21:43:09 2013 -0700

    Add -M option to pass args to make.

diff --git a/bin/build.sh b/bin/build.sh
index 496d641..fa0b3df 100755
--- a/bin/build.sh
+++ b/bin/build.sh
@@ -96,6 +96,7 @@ usage ()
     echo "               The flags always include -noinit -nositeinit"
     echo "    -R        Force recompiling the C runtime.  Normally, just runs make to "
     echo "               recompile anything that has changed."
+    echo "    -M opt    Additional flags to be passed to make."
     exit 1
 }
 
@@ -127,13 +128,17 @@ buildit ()
 	$TOOLDIR/clean-target.sh $CLEAN_FLAGS $TARGET || { echo "Failed: $TOOLDIR/clean-target.sh"; exit 1; }
 	time $BUILDWORLD $TARGET $OLDLISP $BOOT || { echo "Failed: $BUILDWORLD"; exit 1; }
 	if [ "$REBUILD_LISP" = "yes" ]; then
-	    $TOOLDIR/rebuild-lisp.sh $TARGET
+	    if [ -z $MFLAGS ]; then
+		$TOOLDIR/rebuild-lisp.sh $TARGET
+	    else
+		$TOOLDIR/rebuild-lisp.sh -M "$MFLAGS" $TARGET
+	    fi
 	else
 	    # Set the LANG to C.  For whatever reason, if I (rtoy) don't
 	    # do this on my openSuSE system, any messages from gcc are
 	    # basically garbled.  This should be harmless on other
 	    # systems.
-	    LANG=C $MAKE -C $TARGET/lisp $MAKE_TARGET || { echo "Failed: $MAKE -C $TARGET/lisp"; exit 1; }
+	    LANG=C $MAKE -C $TARGET/lisp $MFLAGS $MAKE_TARGET || { echo "Failed: $MAKE -C $TARGET/lisp"; exit 1; }
         fi
 
 	if [ "$BUILD_WORLD2" = "yes" ];
@@ -152,7 +157,7 @@ BUILDWORLD="$TOOLDIR/build-world.sh"
 BUILD_POT="yes"
 UPDATE_TRANS=
 
-while getopts "123PRo:b:v:uB:C:Ui:f:w:O:?" arg
+while getopts "123PRo:b:v:uB:C:Ui:f:w:O:M:?" arg
 do
     case $arg in
 	1) ENABLE2="no" ;;
@@ -172,6 +177,7 @@ do
         U) UPDATE_TRANS="yes";;
 	O) OLDLISPFLAGS="$OLDLISPFLAGS $OPTARG" ;;
         R) REBUILD_LISP="yes";;
+        M) MFLAGS="$OPTARG" ;;
 	\?) usage
 	    ;;
     esac

commit b07a82baedbf4ed761c593cbd185a97f3fed4e36
Author: Raymond Toy <toy.raymond at gmail.com>
Date:   Thu May 2 21:42:51 2013 -0700

    Add -M option to pass extra flags to make.
    
    Use getopts to parse the options and also print slightly better error
    messages.

diff --git a/bin/rebuild-lisp.sh b/bin/rebuild-lisp.sh
index d6aa6e9..1e49d01 100755
--- a/bin/rebuild-lisp.sh
+++ b/bin/rebuild-lisp.sh
@@ -1,14 +1,34 @@
 #!/bin/sh
 
+while getopts "M:h?" arg
+do
+    case $arg in
+      M) MFLAGS="$OPTARG" ;;
+      h) usage ;;
+      \?) usage ;;
+    esac
+done
+
+usage() 
+{
+    echo "rebuild.-lisp.sh [-h?] [-M opts] target-directory"
+    echo "    -h        this help"
+    echo "    -?        this help"
+    echo "    -M opts   Options to pass to make"
+
+}
+
+shift `expr $OPTIND - 1`
+
 if [ "$1" = "" ]
 then
-	echo "Usage: $0 target-directory"
+	usage
 	exit 1
 fi
 
 if [ ! -d "$1" ]
 then
-	echo "$1 isn't a directory"
+	echo "$1" must be a directory.
 	exit 2
 fi
 
@@ -23,4 +43,4 @@ fi
 
 export MAKE
 
-${MAKE} -C $TARGET/lisp clean && ${MAKE} -C $TARGET/lisp
+${MAKE} -C $TARGET/lisp $MFLAGS clean && ${MAKE} -C $TARGET/lisp $MFLAGS

commit 57bca19079022f99696307ac6f44d33de038275d
Author: Raymond Toy <toy.raymond at gmail.com>
Date:   Thu May 2 20:15:57 2013 -0700

    Include interr.h (and os.h) to get rid of a compiler warning about
    utf16_output being undeclared.

diff --git a/src/lisp/print.c b/src/lisp/print.c
index b4758d8..1898fee 100644
--- a/src/lisp/print.c
+++ b/src/lisp/print.c
@@ -11,6 +11,8 @@
 #include "print.h"
 #include "lisp.h"
 #include "internals.h"
+#include "os.h"
+#include "interr.h"
 #include "monitor.h"
 #include "vars.h"
 #include "os.h"

-----------------------------------------------------------------------

Summary of changes:
 bin/build.sh               |   12 +++++++++---
 bin/rebuild-lisp.sh        |   26 +++++++++++++++++++++++---
 src/lisp/Config.x86_darwin |    3 +++
 src/lisp/print.c           |    2 ++
 4 files changed, 37 insertions(+), 6 deletions(-)


hooks/post-receive
-- 
CMU Common Lisp


More information about the cmucl-commit mailing list